Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2083 - Day Light Savings Time/ Standard Time Change
Summary: Day Light Savings Time/ Standard Time Change
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: time
Version: 5.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-09 15:03 UTC by Red Hat Bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-12 17:04:24 UTC


Attachments (Terms of Use)

Description Red Hat Bugzilla 1999-04-09 15:03:22 UTC
Hi


I would like to report that none of my RedHat 5.2
(intel,Sparc, alpha) machines did the correct time change
last week. It appears that there is a some problem with
this version of RH will not make the time adjustment.

Now this is not a problem if the linux box is being used
as a desk top client but there is a real big problem
if the computer is "the" time master.

I know how to RDATE, and XNTPD the machines but I expect
that RH Linux should work just as well as my SunOS, Solaris,
Auspex, and SGI unix machines with respect to the time
change.

Richard Wong
Princeton Univ, Math Department
Manager Networking and Computing

Comment 1 Red Hat Bugzilla 1999-04-09 15:23:59 UTC
Cristian, don't you need your hardware clock set to UTC in order for
the timezone change to work?  I had no problems with my computer at
work or at home.

Comment 2 Red Hat Bugzilla 1999-04-09 23:53:59 UTC
Preston is correct.  I can vouch for all my machines tracking
the time change correctly, and they are all set to UTC in the
CMOS and /etc/sysconfig/clock has UTC=true
Richard, could you please report the contents of your
/etc/sysconfig/clock file and the output of the following
commands?  Thanks!
date
hwclock --show

Comment 3 Red Hat Bugzilla 1999-04-12 17:04:59 UTC
That is correct, you need your machine's hardware clock set to UTC for
this to happen.


Note You need to log in before you can comment on or make changes to this bug.